Subject: Re: Maybe a Bug in Cygwin in using Pointers to class fuctions
From: Brendan Simon <[email-masked]>
To: Ward Correll <[email-masked]>
Cc: [email-masked]
Date: Tue, 03 Aug 1999 09:38:15 +1000

Ward Correll wrote:

> =========================OUTPUT FROM CYGWIN==========================
> BASH.EXE-2.02$ c++ -o try try.cpp
> test.cpp: In function `int main()':
> test.cpp:66: assuming & on `Mammal::Speak'
> test.cpp:67: assuming & on `Mammal::Move'
> =====================================================================
> I know I want the fuction pointer to assume on Mammal::Speak or Mammal::Move
> when meets some conditions as you see. But cygwin won't let me do that.

Give this a try.  It seems GCC is picky about the address of a function and/or
member function.  It wants you to explicitly use the address operator as shown
below.  I think this should work.

                case 1: pFunc = &Mammal::Speak; break;
                default: pFunc = &Mammal::Move; break;

Brendan Simon.

--
Want to unsubscribe from this list?
Send a message to [email-masked]